
Robot Control Interface - Bug #1039
Debian packaging don't include librci0.3-dev.shlib
06/26/2012 06:11 PM - A. Tuleu

Status: Rejected Start date: 06/26/2012
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:
Description

In order to allow automatic dependency checking when building debian packaging, a debian package shipping a library should provide
shlib or symbol file, but none is provided.

This prevent to easily build a package that as a dependency on librci, in the "debian way". dpkg-shlibdeps will fails
please consider reading :
    -  man dpkg-shlibdeps
    -  man deb-shlibs

Another solution, is to build package with debhelper. This file will automatically be created.

History
#1 - 08/12/2013 02:15 PM - Anonymous

Closed in favor of #1431

#2 - 08/12/2013 02:15 PM - Anonymous
- Status changed from New to Rejected
- Assignee set to Anonymous
